Bug 1184624 - (CVE-2021-20309) VUL-0: CVE-2021-20309: ImageMagick: Division by zero in WaveImage() of MagickCore/visual-effects.c
(CVE-2021-20309)
VUL-0: CVE-2021-20309: ImageMagick: Division by zero in WaveImage() of Magick...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/281267/
CVSSv3.1:SUSE:CVE-2021-20309:5.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-12 14:31 UTC by Robert Frohl
Modified: 2022-09-08 11:20 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2021-04-12 14:31:47 UTC
rh#1946722

A flaw was found in ImageMagick before version 7.0.11 and 6.9.12. A division by zero in WaveImage() of MagickCore/visual-effects.c may trigger undefined behavior via crafted image file.

Upstream issue:

https://github.com/ImageMagick/ImageMagick/issues/3296

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/94174beff065cb5683d09d79e992c3ebbdead311
https://github.com/ImageMagick/ImageMagick6/commit/f1e68d22d1b35459421710587a0dcbab6900b51f

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1946722
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-20309
https://access.redhat.com/security/cve/CVE-2021-20309
Comment 1 Petr Gajdos 2021-04-15 11:01:24 UTC
Will submit for 15,12,11/ImageMagick.
Comment 2 Petr Gajdos 2021-04-15 11:03:36 UTC
Will submit for 15sp2,15,12,11/ImageMagick.
Comment 3 Petr Gajdos 2021-04-15 13:12:00 UTC
Packages submitted. I believe all fixed.
Comment 5 Swamp Workflow Management 2021-04-20 16:32:40 UTC
SUSE-SU-2021:1277-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1184624,1184626,1184627,1184628
CVE References: CVE-2021-20309,CVE-2021-20311,CVE-2021-20312,CVE-2021-20313
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    ImageMagick-6.8.8.1-71.165.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    ImageMagick-6.8.8.1-71.165.1
SUSE Linux Enterprise Server 12-SP5 (src):    ImageMagick-6.8.8.1-71.165.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2021-04-20 16:36:16 UTC
SUSE-SU-2021:1276-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1184624,1184626,1184627,1184628
CVE References: CVE-2021-20309,CVE-2021-20311,CVE-2021-20312,CVE-2021-20313
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    ImageMagick-7.0.7.34-10.15.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    ImageMagick-7.0.7.34-10.15.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    ImageMagick-7.0.7.34-10.15.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    ImageMagick-7.0.7.34-10.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-04-23 19:21:19 UTC
openSUSE-SU-2021:0606-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1184624,1184626,1184627,1184628
CVE References: CVE-2021-20309,CVE-2021-20311,CVE-2021-20312,CVE-2021-20313
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    ImageMagick-7.0.7.34-lp152.12.15.1